ubuntu-location-service: com::ubuntu::location::connectivity::RadioCell Struct Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Classes | Public Types | Public Member Functions | List of all members
com::ubuntu::location::connectivity::RadioCell Struct Referenceabstract

Models a radio cell that one of the modems in the system is connected to. More...

`#include <radio_cell.h>`

Collaboration diagram for com::ubuntu::location::connectivity::RadioCell:

## Classes
struct | Gsm
| Models a GSM radio cell. More...
struct | Lte
| Models an LTE radio cell. More...
struct | Umts
| Models a UMTS radio cell. More...

## Public Types
enum class | Type { unknown , gsm , umts , lte }
| Enumerates the known technologies. More...

## Public Member Functions
| RadioCell ()=default
virtual | ~RadioCell ()=default
| RadioCell (const RadioCell &rhs)=delete
RadioCell & | operator= (const RadioCell &rhs)=delete
virtual const core::Signal & | changed () const =0
| Emitted when the cell details change. More...
virtual Type | type () const =0
| Returns the type of the radio cell. More...
virtual const Gsm & | gsm () const =0
| Returns GSM-specific details or throws std::runtime_error if this is not a GSM radiocell. More...
virtual const Umts & | umts () const =0
| Returns UMTS-specific details or throws std::runtime_error if this is not a UMTS radiocell. More...
virtual const Lte & | lte () const =0
| Returns LTE-specific details or throws std::runtime_error if this is not an LTE radiocell. More...

## Detailed Description

Models a radio cell that one of the modems in the system is connected to.

Definition at line 37 of file radio_cell.h.

## Member Enumeration Documentation

## ◆ Type

enum com::ubuntu::location::connectivity::RadioCell::Type
| strong

Enumerates the known technologies.

Enumerator
unknown |
gsm |
umts |
lte |

Definition at line 44 of file radio_cell.h.

## Constructor & Destructor Documentation

## ◆ RadioCell() [1/2]

com::ubuntu::location::connectivity::RadioCell::RadioCell | ( |  | ) |
| default

## ◆ ~RadioCell()

virtual com::ubuntu::location::connectivity::RadioCell::~RadioCell | ( |  | ) |
| virtualdefault

## ◆ RadioCell() [2/2]

com::ubuntu::location::connectivity::RadioCell::RadioCell | ( | const RadioCell & | rhs | ) |
| delete

## Member Function Documentation

## ◆ changed()

virtual const core::Signal& com::ubuntu::location::connectivity::RadioCell::changed | ( |  | ) | const
| pure virtual

Emitted when the cell details change.

## ◆ gsm()

virtual const Gsm& com::ubuntu::location::connectivity::RadioCell::gsm | ( |  | ) | const
| pure virtual

Returns GSM-specific details or throws std::runtime_error if this is not a GSM radiocell.

## ◆ lte()

virtual const Lte& com::ubuntu::location::connectivity::RadioCell::lte | ( |  | ) | const
| pure virtual

Returns LTE-specific details or throws std::runtime_error if this is not an LTE radiocell.

## ◆ operator=()

RadioCell& com::ubuntu::location::connectivity::RadioCell::operator= | ( | const RadioCell & | rhs | ) |
| delete

## ◆ type()

virtual Type com::ubuntu::location::connectivity::RadioCell::type | ( |  | ) | const
| pure virtual

Returns the type of the radio cell.

## ◆ umts()

virtual const Umts& com::ubuntu::location::connectivity::RadioCell::umts | ( |  | ) | const
| pure virtual

Returns UMTS-specific details or throws std::runtime_error if this is not a UMTS radiocell.

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/connectivity/radio_cell.h